<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="1.60.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.2.0" />
    <PackageReference Include="MySql.Data" Version="8.0.15" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.15" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" Version="2.19.60" />
    <PackageReference Include="Z.EntityFramework.Extensions.EFCore" Version="2.8.20" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Performance.DtoModels\Performance.DtoModels.csproj" />
    <ProjectReference Include="..\Performance.EntityModels\Performance.EntityModels.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="T4\AutoRepository.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>AutoRepository.cs</LastGenOutput>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="T4\AutoRepository.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AutoRepository.tt</DependentUpon>
    </Compile>
  </ItemGroup>

</Project>
